<#ibiztemplate>
TARGET=PSSUBSYSSERVICEAPI
</#ibiztemplate>
package ${pub.getPKGCodeName()}.client.${item.getCodeName()?lower_case}.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.openfeign.FeignClientsConfiguration;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

@Configuration
@ConditionalOnClass(${item.getCodeName()}ClientConfiguration.class)
@ConditionalOnWebApplication
@EnableConfigurationProperties(${item.codeName}ClientProperties.class)
@Import({
    FeignClientsConfiguration.class
})
public class ${item.getCodeName()}AutoConfiguration {

}
