<#ibiztemplate>
TARGET=PSSUBSYSSERVICEAPIDE
</#ibiztemplate>
package ${pub.getPKGCodeName()}.client.${item.getPSSubSysServiceAPI().getCodeName()?lower_case}.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import ${pub.getPKGCodeName()}.core.client.model.I${item.getCodeName()};

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 接口实体[${item.getCodeName()}] 对象
 */
public class ${item.getCodeName()}Impl implements I${item.getCodeName()},Serializable{

<#--  属性相关  -->
<#list item.getPSSubSysServiceAPIDEFields() as defield>
    /**
     * ${defield.getLogicName()}
     */
    <#assign defDataType = defield.stdDataType>
    <#if defDataType == 5>
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    <#--  <#elseif defDataType == "DATE">
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    <#elseif defDataType == "TIME">
    @JsonFormat(pattern="HH:mm", locale = "zh" , timezone="GMT+8")  -->
    </#if>
    public ${srfjavatype(defield.stdDataType)} ${defield.getCodeName()?uncap_first};

    @JsonIgnore
    public boolean ${defield.getCodeName()?uncap_first}DirtyFlag;
    
</#list>
<#list item.getPSSubSysServiceAPIDEFields() as defield>
    /**
     * 获取 [${defield.getLogicName()}]
     */
    @JsonProperty("${defield.getCodeName()?lower_case}")
    public ${srfjavatype(defield.getStdDataType())} get${defield.getCodeName()?cap_first}(){
        return this.${defield.getCodeName()?uncap_first} ;
    }

    /**
     * 设置 [${defield.getLogicName()}]
     */
    @JsonProperty("${defield.getCodeName()?lower_case}")
    public void set${defield.getCodeName()?cap_first}(${srfjavatype(defield.getStdDataType())}  ${defield.getCodeName()?uncap_first}){
        this.${defield.getCodeName()?uncap_first} = ${defield.getCodeName()?uncap_first} ;
        this.${defield.getCodeName()?uncap_first}DirtyFlag = true ;
    }

     /**
     * 获取 [${defield.getLogicName()}]脏标记
     */
    @JsonIgnore
    public boolean get${defield.getCodeName()?cap_first}DirtyFlag(){
        return this.${defield.getCodeName()?uncap_first}DirtyFlag ;
    }   

</#list>
    <#comment>嵌套对象</#comment>
    <#if item.getPSSubSysServiceAPIDERSs()?? >
    <#list item.getPSSubSysServiceAPIDERSs() as subsysder>
    <#assign subs = srfpluralize(subsysder.getMinorPSSubSysServiceAPIDE().getCodeName())?lower_case >
                                    <#--  <#if appder.getParentFilter()?? >
                                        <#assign subs = appder.getParentFilter()?uncap_first >
                                    <#else>
                                        <#if appder.getPSDER1N()??>
                                        <#assign subs = appder.getPSDER1N().getCodeName()?uncap_first >
                                        </#if>
                                    </#if>  -->
	private List <${pub.getPKGCodeName()}.core.client.model.${subsysder.getMinorPSSubSysServiceAPIDE().getCodeName()?lower_case}> ${subs} = new ArrayList<${pub.getPKGCodeName()}.core.client.model.${subsysder.getMinorPSSubSysServiceAPIDE().getCodeName()?lower_case}>() ;

    /**
     * 获取 [${subs}]
     */
    @JsonProperty("${subs}")
    public List<${pub.getPKGCodeName()}.core.client.model.I${subsysder.getMinorPSSubSysServiceAPIDE().getCodeName()?lower_case}> get${subs?cap_first}(){
        return ${subs} ;
    }

    /**
     * 获取 [${subs}]
     */
    @JsonProperty("${subs}")
    public void set${subs?cap_first}(List <${pub.getPKGCodeName()}.core.client.model.I${subsysder.getMinorPSSubSysServiceAPIDE().getCodeName()?lower_case}> ${subs}){
        this.${subs} = ${subs} ;
    }

    </#list>
    </#if>
}
